Package org.opensaml.core.xml

# Interface XSAnyAdapter

All Superinterfaces:
  `XMLObject`

All Known Implementing Classes:
  `AbstractXSAnyAdapter`, `BaseIDXSAnyAdapter`, `ConditionXSAnyAdapter`, `RoleDescriptorXSAnyAdapter`, `StatementXSAnyAdapter`

public interface XSAnyAdapter extends XMLObject
Interface for implementations which adapt/wrap an instance of `XSAny`.

## Method Summary

Modifier and Type
Method
Description
`XSAny`
`getAdapted()`
Get the adapted instance of `XSAny`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Method Details

### getAdapted

@Nonnull XSAny getAdapted()
Get the adapted instance of `XSAny`

Returns:
  the adapted instance of XSAny